|  | Home · All Classes · Modules

# Qt.MouseButtons Class Reference
[QtCore module]

### Methods

- __init__ (self, MouseButtons)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- MouseButtons __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, MouseButtons f)
- MouseButtons __iand__ (self, int mask)
- int __int__ (self)
- MouseButtons __invert__ (self)
- MouseButtons __ior__ (self, MouseButtons f)
- MouseButtons __ixor__ (self, MouseButtons f)
- bool __ne__ (self, MouseButtons f)
- MouseButtons __or__ (self, MouseButtons f)
- MouseButtons __xor__ (self, MouseButtons f)

## Detailed Description

MouseButton may be used whenever MouseButtons is expected.

## Method Documentation

### MouseButtons.__init__ (self, MouseButtons)

### MouseButtons.__init__ (self, int)

### MouseButtons.__init__ (self)

### MouseButtons MouseButtons.__and__ (self, int mask)

### int MouseButtons.__bool__ (self)

### bool MouseButtons.__eq__ (self, MouseButtons f)

### MouseButtons MouseButtons.__iand__ (self, int mask)

### int MouseButtons.__int__ (self)

### MouseButtons MouseButtons.__invert__ (self)

### MouseButtons MouseButtons.__ior__ (self, MouseButtons f)

### MouseButtons MouseButtons.__ixor__ (self, MouseButtons f)

### bool MouseButtons.__ne__ (self, MouseButtons f)

### MouseButtons MouseButtons.__or__ (self, MouseButtons f)

### MouseButtons MouseButtons.__xor__ (self, MouseButtons f)